/* sidebar.css */

body {
    font-family: 'Poppins', sans-serif;
}

.topic{     
    color: #ffffff;
    font-family: Marko One;
    font-style: normal;
    font-weight: 400;
    line-height: normal;

}

/* Set height of the grid so .sidenav can be 100% (adjust as needed) */
.row.content {
    min-height: 100vh;
}

.nav.nav-pills.nav-stacked {
    display: flex;
    flex-direction: column;
    align-items: center; /* Center horizontally */
    justify-content: center; /* Center vertically */
}

.hr {
    width: 325px; /* Set a default width for the <li> */

}
.link {
    width: 325px; /* Set a default width for the <li> */
    border-radius: 5px;
    border: 1px solid rgba(254, 243, 243, 0.51);
    background: transparent;
    text-align: left;
    padding-left: 40px;
    
}
.link:hover {
    width: 325px; /* Set a default width for the <li> */
    border-radius: 5px;
    background: #5bca66;
    
}

.clink{
    width: auto; /* Set a default width for the <li> */
    border-radius: 5px;
    border: 1px solid rgba(254, 243, 243, 0.51);
    background: transparent;

}
@media (max-width: 1340px) {
    .link {
        width: 250px; /* Adjust the width for smaller screens */
        padding-left: 20px;
    }

    .link:hover {
        width: 250px; /* Set a default width for the <li> */
        border-radius: 5px;
        background: #5bca66;
        
    }
    .hr {
        width: 250px;
    }
}

/* Media query for screens with a maximum width of 768px */
@media (max-width: 1220px) {
    .link {
        width: 170px; /* Adjust the width for smaller screens */
        
    }

    .link:hover {
        width: 170px; /* Set a default width for the <li> */
        border-radius: 5px;
        background: #5bca66;
        
    }
    .hr {
        width: 170px;
    }
}


/* Set gray background color and 100% height */
.sidenav {
    background-color: rgba(58, 104, 68, 0.90);
    min-height: 100vh;
    position: sticky;
    top: 0; /* Adjust this value based on your layout */
}
.sticky-sidebar {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}


/* On small screens, set height to 'auto' for the grid */
/* @media screen and (max-width: 767px) {
    .row.content {
        height: auto;
    }
} 
/* 
@media (max-width: 1000px) {
    .topbar-primary {
        order: 1;
    }
    
    .topbar-buttons {
        order: 2;
    }
} */
/* css for collapse*/
.collapNav li.active a {
    border-radius: 5px;
    background: transparent;
}

/* Custom styles for the active button */
.nav-pills li.active a {
    border-radius: 5px;
    background: transparent;
    width: auto;
}

/* Change the text color on hover */
.nav.nav-pills.nav-stacked li:hover a {
    border-radius: 5px;
    background: rgba(217, 217, 217, 0.00);
}

@media (max-width: 780px) {
    .overflowx{
      overflow-x: auto;
    }
  }

.topbar{
    border-radius: 10px; margin:10px;
    border: 0.5px solid rgba(0, 0, 0, 0.44);
    background: rgba(217, 217, 217, 0.00);
    display: flex; /* Use flexbox for layout */
    justify-content: space-between; /* Distribute content to both ends */
    align-items: center; /* Vertically center content */
    padding: 10px; /* Add some padding for spacing */
    margin: 15px 15px 0px 15px;
    box-shadow: 4px 6px 8px rgba(0, 0, 0, 0.1);  /* Horizontal offset, Vertical offset, Blur radius, Shadow color */

        
}

.threebox {
    border-radius: 10px;
    border: 0.5px solid rgba(26, 26, 26, 0.37);
    background: rgba(217, 217, 217, 0.00);
    padding: 10px;
    box-shadow: 6px 6px 12px rgba(0, 0, 0, 0.1);  /* Horizontal offset, Vertical offset, Blur radius, Shadow color */
}

.input-group-append {
    cursor: pointer;
  }

.overflowx {
    position: relative; 
    padding-bottom: 40px; 
}

.table-button {
    position: absolute;
    right: 1px;
    padding: 9px 20px; 
    border: 1px solid #4B8B5A;
    border-radius: 5px; 
    background-color: #4b8b5a00;
    color: #4B8B5A;
    cursor: pointer; /
}

/* Add this CSS to style the action buttons */
.action-button {
    display: flex;
    justify-content: center;
    background-color: transparent;
    border: none;
    cursor: pointer;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    color: rgb(232, 0, 0);
}

/* Add a CSS class for the scrollable container */
.table-container {
    padding:0 20px 0 20px;
    overflow-x: auto; /* Add horizontal scroll */
    
}

table {
    width: 100%;
    border-collapse: collapse;
    
}

th, td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left;
}

input[type="text"],
input[type="number"] {
    width: 100%;
    box-sizing: border-box;
    padding: 5px;
}

@media screen and (max-width: 600px) {
    /* Add responsive styles for smaller screens here */
    table {
        font-size: 15px;
    }

    th, td {
        padding: 5px;
    }
}

@media screen and (max-width: 1000px) {
    /* Apply styles when the screen width is 1000 pixels or less */
    table {
        overflow-x: auto; /* Add horizontal scroll */
    }

    th, td {
        padding: 5px;
    }
}


/* Center-align text */
.text-left {
    text-align: left;
    margin:4px
}

/* Right-align text */
.text-right {
    text-align: right;
    margin:4px;
}

/* Create a container for the text */
.text-container {
    display: flex;
    justify-content: space-between;
    margin:0 15px 0px 15px;
    
    
}

.text-bt {
    border:none;
    width: 174px;
    height: 41px;
    flex-shrink: 0;
    border-radius: 5px;
    background: #4B8B5A;
    color:white;
}

.text-bt:hover {
    border:none;
    width: 174px;
    height: 41px;
    flex-shrink: 0;
    border-radius: 5px;
    background: #51AD31;
    color:white;
}

@media screen and (max-width: 1000px) {
    .text-bt {
        border:none;
        width: 130px;
        height: 35px;
        font-size:13px;
        flex-shrink: 0;
        border-radius: 5px;
        background: #4B8B5A;
        color:white;
    }
}


.reciept{
    width: 143px;
    height: 42px;
    flex-shrink: 0;
    border-radius: 5px;
    color:#51AD31;
    border: solid 1px #51AD31;
    background:transparent
}
.reciept:hover{
    width: 143px;
    height: 42px;
    flex-shrink: 0;
    border-radius: 5px;
    color:white;
    border: solid 1px #51AD31;
    background:#51AD31
}

@media (max-width: 390px) {
    .reciept{
        width: 110px;
        height: 35px;
        font-size:14px
}
    
}
